Не удается установить тему Prestashop

Не удается установить тему Prestashop

27.10.2019 12:17:06 Просмотров 44 Источник

У меня есть установить свежие версии Prestashop 1.7.5.2 и 1.7.6.1 на моем компьютере Linux, и я не могу установить темы на любой из них. Я пробовал с этими бесплатными темами одежды и ST002 и я всегда получаю некоторые ошибки с модулем типа:

"Не удается установить модуль XXXX. Модуль является недопустимым и не может быть загружен."

Я думаю, что это связано с чем-то в моей установке Prestashop, а не с самими темами. Но я понятия не имею, с чего начать поиски, не могли бы вы мне помочь? Это выводит меня из себя.

Спасибо!

У вопроса есть решение - Посмотреть?

https://stackoverflow.com/questions/58574813/cant-install-any-theme-prestashop#comment103482005_58574813
Да, я пробовал с 775 для каталогов и 664 для файлов в каталоге prestashop, и ошибка все еще существует.
https://stackoverflow.com/questions/58574813/cant-install-any-theme-prestashop#comment103519391_58574813
Попробуйте удалить модуль XXXX из установочного архива темы. Застегните его снова и установите его.
https://stackoverflow.com/questions/58574813/cant-install-any-theme-prestashop#comment103549974_58574813
Удаление модулей с ошибкой из папки / dependencies не сработало. Я должен удалить их из конфигурации / темы.файл yml, но тогда магазин не работал.

Ответы - Не удается установить тему Prestashop / Can't install any theme Prestashop

Alexander Grosul

28.10.2019 10:30:45

Проверьте, существуют ли эти модули(которые дают ошибки) в каталоге зависимостей темы и удалите их по одному из каталога и всех зависимостей от темы.файл yml в каталоге конфигурации. Это просто может быть, что темы устарели и содержат устаревшие модули

https://stackoverflow.com/questions/58574813/cant-install-any-theme-prestashop/58587078#comment103549904_58587078
Я удалил все ссылки на модули, которые дают ошибку в конфигурации/теме.YML и, наконец, я могу установить темы. Проблема в том, что большая часть магазина не работает, так как ему нужны эти модули. Есть ли другой вариант, чтобы заставить магазин работать правильно с полной функциональностью темы? Спасибо за вашу помощь!
https://stackoverflow.com/questions/58574813/cant-install-any-theme-prestashop/58587078#comment103551443_58587078
Вам необходимо обновить каждый модуль в соответствии с новыми требованиями Prestashop. Кроме того, вы можете спросить разработчика тем, возможно, у них есть версии updatet
Muamar Ali

31.10.2019 04:10:35

Вы проверили спецификации / требования к теме? Возможно, тема, которую вы хотите установить, не совместима с текущей версией Prestashop, которую вы используете. Особенно версия 1.7.6, там много изменений / обновлений сделано.

ERM

04.11.2019 05:29:00

После долгих попыток и ошибок я нашел решение. Я взял каждую папку модуля в каталоге зависимостей темы и сделал с ней zip-файл. Затем я установил каждый модуль с zip из панели управления модуля администрирования. После установки всех модулей, я могу установить тему без ошибок и все работает нормально.

Закрыть X